gcc compile errors

Ken Moffat ken at linuxfromscratch.org
Wed Feb 22 11:44:44 PST 2006


On Wed, 22 Feb 2006, Don Mayhew wrote:

> I have the newest version 6 that the snail mail can deliver.
> Apparently you do not agree with the only other responder
> that this is a common problem with a simple solution
> (which never seems to get detailed !).
>
> Don Mayhew
>
>

Don,

  your excessive trimming of what you are replying to makes it hard to 
find what you were asking.  If this was the attempt to build on an 
x86_64 host, then Dan's reply is the only sensible one - you can 
"cross-build" (even from the same architecture) to multilib, or to 
pure64 (but be aware that grub doesn't work on pure64).

  Trying to build x86_64 natively is uncharted territory, and gcc _will_ 
attempt to build as multilib (as shown in your error message) if you 
don't beat it into shape.  CLFS (and the cross-lfs list) is the only 
way likely to get you any support around here, but of course it's a 
development book so it _will_ change underneath you.  Oh, and grub 
doesn't work on 'pure64'.

  The easier alternative is to install an i686 distro and use that to 
build regular LFS, but even then the 6.0 book is somewhat old.

Ken
-- 
  das eine Mal als Tragödie, das andere Mal als Farce


More information about the lfs-support mailing list